summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Jeremy Hansen <jebrhansen+SBo@gmail.com>2017-01-23 13:38:36 +0000
committer David Spencer <idlemoor@slackbuilds.org>2017-01-24 00:21:50 +0000
commitd547cdb0919215448a1e8e9dd5ea7433a9553392 (patch)
treed48efd2cb02f8fa32f7bf7bdb264ddad532d9135 /games
parentc48942f59e121cd9066c97333d3818c33fcea531 (diff)
downloadslackbuilds-d547cdb0919215448a1e8e9dd5ea7433a9553392.tar.gz
slackbuilds-d547cdb0919215448a1e8e9dd5ea7433a9553392.tar.xz
games/stuntrally: Added (game with Track Editor).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/stuntrally/README14
-rw-r--r--games/stuntrally/doinst.sh9
-rw-r--r--games/stuntrally/slack-desc19
-rw-r--r--games/stuntrally/stuntrally-bullet-2.84+.patch62
-rw-r--r--games/stuntrally/stuntrally.SlackBuild101
-rw-r--r--games/stuntrally/stuntrally.info12
6 files changed, 217 insertions, 0 deletions
diff --git a/games/stuntrally/README b/games/stuntrally/README
new file mode 100644
index 0000000000..92453e9b38
--- /dev/null
+++ b/games/stuntrally/README
@@ -0,0 +1,14 @@
+stuntrally (game based on VDrift and OGRE, with Track Editor)
+
+The game features 172 tracks in 34 sceneries and 25 vehicles. Game
+modes include: single race, tutorials, championships, challenges,
+multiplayer and split screen. Replays and Ghost drive are available.
+The Track Editor allows creating and modifying tracks.
+
+The game aims at a rally style of driving (like in Richard Burns
+Rally), with possible stunt elements (jumps, loops, pipes).
+
+Required Dependency
+
+ogre needs to be built with FreeImage for stuntrally to work. If you
+built ogre prior to installing FreeImage, you will need to rebuild ogre.
diff --git a/games/stuntrally/doinst.sh b/games/stuntrally/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/games/stuntrally/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/stuntrally/slack-desc b/games/stuntrally/slack-desc
new file mode 100644
index 0000000000..860d1ac1e2
--- /dev/null
+++ b/games/stuntrally/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+stuntrally: stuntrally (game based on VDrift and OGRE, with Track Editor)
+stuntrally:
+stuntrally: The game features 172 tracks in 34 sceneries and 25 vehicles. Game
+stuntrally: modes include: single race, tutorials, championships, challenges,
+stuntrally: multiplayer and split screen. Replays and Ghost drive are available.
+stuntrally: The Track Editor allows creating and modifying tracks.
+stuntrally:
+stuntrally: The game aims at a rally style of driving (like in Richard Burns
+stuntrally: Rally), with possible stunt elements (jumps, loops, pipes).
+stuntrally:
+stuntrally: HOMEPAGE: http://stuntrally.tuxfamily.org/
diff --git a/games/stuntrally/stuntrally-bullet-2.84+.patch b/games/stuntrally/stuntrally-bullet-2.84+.patch
new file mode 100644
index 0000000000..b07b352eac
--- /dev/null
+++ b/games/stuntrally/stuntrally-bullet-2.84+.patch
@@ -0,0 +1,62 @@
+diff --git a/source/ogre/CHud.cpp b/source/ogre/CHud.cpp
+index e3ae43f..037fa2e 100644
+--- a/source/ogre/CHud.cpp
++++ b/source/ogre/CHud.cpp
+@@ -6,7 +6,9 @@
+ #include "common/data/SceneXml.h"
+ #include "common/CScene.h"
+ #include "../vdrift/settings.h"
++#ifndef BT_NO_PROFILE
+ #include <LinearMath/btQuickprof.h>
++#endif // BT_NO_PROFILE
+ #include <OgreManualObject.h>
+ #include <OgreSceneManager.h>
+ #include <OgreSceneNode.h>
+@@ -151,7 +153,7 @@ void CHud::UpdDbgTxtClr()
+ }
+ }
+
+-
++#ifndef BT_NO_PROFILE
+ /// Bullet profiling text
+ //--------------------------------------------------------------------------------------------------------------
+
+@@ -214,3 +216,4 @@ void CHud::bltDumpAll(std::stringstream& os)
+
+ CProfileManager::Release_Iterator(profileIterator);
+ }
++#endif // BT_NO_PROFILE
+diff --git a/source/ogre/CHud.h b/source/ogre/CHud.h
+index ace2ca0..86c6150 100644
+--- a/source/ogre/CHud.h
++++ b/source/ogre/CHud.h
+@@ -154,7 +154,9 @@ public:
+ // string utils
+ Ogre::String StrClr(Ogre::ColourValue c);
+
++#ifndef BT_NO_PROFILE
+ // bullet debug text
+ void bltDumpRecursive(class CProfileIterator* profileIterator, int spacing, std::stringstream& os);
+ void bltDumpAll(std::stringstream& os);
++#endif // BT_NO_PROFILE
+ };
+diff --git a/source/ogre/Hud_Update.cpp b/source/ogre/Hud_Update.cpp
+index 18c650a..b33d808 100644
+--- a/source/ogre/Hud_Update.cpp
++++ b/source/ogre/Hud_Update.cpp
+@@ -597,6 +597,7 @@ void CHud::Update(int carId, float time)
+ }
+
+
++#ifndef BT_NO_PROFILE
+ // bullet profiling text --------
+ static bool oldBltTxt = false;
+ if (ov[1].oU)
+@@ -616,6 +617,7 @@ void CHud::Update(int carId, float time)
+ ov[1].oU->setCaption("");
+ }
+ oldBltTxt = pSet->bltProfilerTxt;
++#endif // BT_NO_PROFILE
+
+
+ // wheels slide, susp bars --------
diff --git a/games/stuntrally/stuntrally.SlackBuild b/games/stuntrally/stuntrally.SlackBuild
new file mode 100644
index 0000000000..d858c5ceea
--- /dev/null
+++ b/games/stuntrally/stuntrally.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for stuntrally
+
+# Copyright 2017 Jeremy Hansen <jebrhansen+SBo -at- gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=stuntrally
+VERSION=${VERSION:-2.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+tar xvf $CWD/tracks-$VERSION.tar.gz
+mv tracks-$VERSION/ data/tracks
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix compilation error with newer bullets. Thanks AUR.
+patch -p1 < $CWD/stuntrally-bullet-2.84+.patch
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -fpermissive" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a License.txt Readme.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/stuntrally/stuntrally.info b/games/stuntrally/stuntrally.info
new file mode 100644
index 0000000000..89715cbdfb
--- /dev/null
+++ b/games/stuntrally/stuntrally.info
@@ -0,0 +1,12 @@
+PRGNAM="stuntrally"
+VERSION="2.6"
+HOMEPAGE="http://stuntrally.tuxfamily.org/"
+DOWNLOAD="https://github.com/stuntrally/stuntrally/archive/2.6/stuntrally-2.6.tar.gz \
+ https://github.com/stuntrally/tracks/archive/2.6/tracks-2.6.tar.gz"
+MD5SUM="652fca6a2f8ba43ac6525275806257c2 \
+ f67d464b792e68966f0917f8f39f9e24"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="MyGUI SDL2 enet bullet OpenAL FreeImage"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"